<?php
/**
 * Description of ModelKorisnik
 *
 * @author Korisnik
 */
class KorisnikModel {
    private $ime;
    private $prezime;
    private $korisnicko_ime;
    private $lozinka;
    private $jmbg;

    public function __construct($korisnicko_ime, $lozinka, $ime, $prezime, $jmbg=0) {
        $this->ime = $ime;
        $this->prezime = $prezime;
        $this->korisnicko_ime = $korisnicko_ime;
        $this->lozinka = $lozinka;  
        $this->jmbg = $jmbg;  
    }
    
    public function __get($imeAtributa) {
        return $this->$imeAtributa;
    }
    
    public static function dohvatiKorisnika($korisnicko_ime){
        $konekcija = DB::getInstanca();
        $rezultat = $konekcija->query("SELECT * FROM korisnik WHERE username='$korisnicko_ime'");     
        $korisnik = $rezultat->fetch();
        if ($korisnik!=NULL) {
            return new KorisnikModel($korisnik['username'], $korisnik['password'], $korisnik['ime'], $korisnik['prezime'],$korisnik['jmbg']);
        } else {
            return FALSE;
        }
    }
    
    public function ispravanPassword($lozinka){
        if ($this->lozinka == $lozinka) {
            return TRUE;
        } else {
            return FALSE;
        }
    }
    
}
